Repository 32bit  Forum
Repository 64bit  Wiki

dipendenze pacchetti su slackware.com

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

dipendenze pacchetti su slackware.com

Messaggioda lordalbert » sab nov 16, 2013 13:38

Ciao ragazzi,
ultimamente sono un po' incuriosito da slackware (l'avevo provata anni fa.. ma non ero ancora maturo per capirla). Vorrei prima però togliermi ogni dubbio e capire bene come usarla.

Più che altro, ho visto che i pacchetti online sono divisi su più siti/repository. Un po' su slackware.com poi ho visto l'ottimo repository slacky.eu, però da quanto ho capito ci sono solo i pacchetti non disponibili sul sito ufficiale (slackware.com).
Visto che il repository slacky.eu è molto comodo perchè indica le dipendenze necessarie.. se io volessi installare un programma (ad esempio firefox) che è presente solo sui repo slackware.com, e però in tale repo non vengono elencate le dipendenze... io come faccio a saperle?

Il mondo slackware ultimamente mi affascina, devo solo capire bene come gestirla e capire se fa davvero al mio caso :)
lordalbert
Linux 1.0
Linux 1.0
 
Messaggi: 47
Iscritto il: gio lug 28, 2005 23:00

Re: dipendenze pacchetti su slackware.com

Messaggioda boh » sab nov 16, 2013 16:22

I pacchetti che trovi su slackware.com sono quelli ufficiali inclusi nell'ultima release.
Quindi se hai fatto un'installazione full (o anche escludendo le directory KDE e KDEi) firefox funziona, perchè nel sistema c'è tutto quello che gli serve ed è anche incluso firefox stesso.

E questa è una cosa comune a tutto ciò che è incluso ufficialmente in slack, non avrebbe senso includere programmi che non possono funzionare out-of-the-box con le risorse a disposizione della distro.

Se devi aggiungere programmi non inclusi, puoi cercare pacchetti precompilati qui su slacky, da alienBob, da robby, da ponce e altri :)
Se non trovi il precompilato, puoi scaricare lo slackbuild (qui) e cimentarti in una compilazione.
"Be yourself. Everyone else is already taken." ~ Oscar Wilde
Avatar utente
boh
Linux 2.6
Linux 2.6
 
Messaggi: 964
Iscritto il: gio set 15, 2005 23:00
Località: Milano
Slackware: 14.1 (x64)
Kernel: 3.14.1
Desktop: KDE 4.13.3

Re: dipendenze pacchetti su slackware.com

Messaggioda lordalbert » sab nov 16, 2013 17:55

Ok, grazie mille!
E' forse un peccato avere così tanta disgregazione dei repository. Ma è anche vero che non si installano programmi tutti i giorni, quindi... il problema si ridimensiona :)

Un'altra curiosità: spesso trovo pacchetti creati per la 14.0. Sono compatibili anche con la 14.1?
Inoltre... a volte trovo il ramo current o il ramo stable. La 14.1 sarebbe current o stable?

Grazie :)
lordalbert
Linux 1.0
Linux 1.0
 
Messaggi: 47
Iscritto il: gio lug 28, 2005 23:00

Re: dipendenze pacchetti su slackware.com

Messaggioda hashbang » sab nov 16, 2013 18:39

lordalbert ha scritto:Un'altra curiosità: spesso trovo pacchetti creati per la 14.0. Sono compatibili anche con la 14.1?
Potrebbero, ma non è detto che lo siano.
Pacchetti compilati per la versione 14.0 potrebbero avere dei malfunzionamenti derivati dalla diversità di versione della libc di Slackware 14.1.

In linea generale è sconsigliato utilizzare pacchetti compilati per una versione diversa dalla tua, però non ti costa niente provare.
Se non dovessero funzionare, dovrai ricompilarli.

Inoltre... a volte trovo il ramo current o il ramo stable. La 14.1 sarebbe current o stable?
La -current è il ramo in sviluppo di Slackware.
La 14.1 è la stable, anche se essendo uscita da poco il ramo -current e la 14.1 ancora coincidono.
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1840
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Re: dipendenze pacchetti su slackware.com

Messaggioda lordalbert » sab nov 16, 2013 19:29

hashbang ha scritto:Potrebbero, ma non è detto che lo siano.
Pacchetti compilati per la versione 14.0 potrebbero avere dei malfunzionamenti derivati dalla diversità di versione della libc di Slackware 14.1.

In linea generale è sconsigliato utilizzare pacchetti compilati per una versione diversa dalla tua, però non ti costa niente provare.
Se non dovessero funzionare, dovrai ricompilarli.


Capito. Perchè vedo che da nessuna parte (o quasi) esistono pacchetti compilati per la 14.1 forse è ancora presto..
Inoltre.. io ho sempre pensato che slackware fosse una sorta di rolling-release. Se invece ha versioni differenti e non compatibili... se io installo la 14.1 quando poi uscirà la 14.2 come si aggiorna il sistema? L'aggiornamento è sicuro e stabile, non è che è consigliabile reinstallare slackware, giusto?
lordalbert
Linux 1.0
Linux 1.0
 
Messaggi: 47
Iscritto il: gio lug 28, 2005 23:00

Re: dipendenze pacchetti su slackware.com

Messaggioda boh » sab nov 16, 2013 19:38

lordalbert ha scritto:Capito. Perchè vedo che da nessuna parte (o quasi) esistono pacchetti compilati per la 14.1 forse è ancora presto..
Inoltre.. io ho sempre pensato che slackware fosse una sorta di rolling-release. Se invece ha versioni differenti e non compatibili... se io installo la 14.1 quando poi uscirà la 14.2 come si aggiorna il sistema? L'aggiornamento è sicuro e stabile, non è che è consigliabile reinstallare slackware, giusto?


Il repository per la 14.1 sarà aperto a giorni :)
L'aggiornamento del sistema (per mia esperienza) è sempre stato privo di problemi.
"Be yourself. Everyone else is already taken." ~ Oscar Wilde
Avatar utente
boh
Linux 2.6
Linux 2.6
 
Messaggi: 964
Iscritto il: gio set 15, 2005 23:00
Località: Milano
Slackware: 14.1 (x64)
Kernel: 3.14.1
Desktop: KDE 4.13.3

Re: dipendenze pacchetti su slackware.com

Messaggioda hashbang » dom nov 17, 2013 0:16

lordalbert ha scritto:Inoltre.. io ho sempre pensato che slackware fosse una sorta di rolling-release.
Arch Linux e Gentoo sono rolling, non Slackware.

Se invece ha versioni differenti e non compatibili... se io installo la 14.1 quando poi uscirà la 14.2 come si aggiorna il sistema?
O scarichi e aggiorni i pacchetti a manina, oppure usi slackpkg.

L'aggiornamento è sicuro e stabile, non è che è consigliabile reinstallare slackware, giusto?
Niente è sicuro al 100%, per questo si consiglia di eseguire un backup dei propri dati prima di cominciare.
Di solito comunque, se fatto bene, l'aggiornamento tende a filare liscio.
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1840
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Re: dipendenze pacchetti su slackware.com

Messaggioda Rama » dom nov 17, 2013 9:08

lordalbert ha scritto: Se invece ha versioni differenti e non compatibili...

al 99% sono compatibili;
se un programma non parte lo si lancia da shell e in genere non va perché punta a una libreria vecchia e basta fare un link simbolico col nome richiesto alla nuova libreria;
raramente bisogna per forza usare un pacchetto compilato per la nuova Slack, a quanto ricordo mi è capitato solo con Stellarium;

r
Avatar utente
Rama
Linux 2.4
Linux 2.4
 
Messaggi: 253
Iscritto il: sab mar 29, 2008 12:18
Località: Novara, provincia
Slackware: 14.1 64bit
Kernel: 3.16.3 preemptive
Desktop: KDE 4.10.5
Distribuzione: Debian testing


Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti